From 475158d2aab9dc2e8266726f7b026cedfe810619 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Fri, 31 Jan 2020 15:24:59 +0000
Subject: [PATCH] ARM: dts: Correct SoC name

The Pi 4 SoC is called BCM2711, not BCM2838.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/bcm2711-rpi.dtsi | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- a/arch/arm/boot/dts/bcm2711-rpi.dtsi
+++ b/arch/arm/boot/dts/bcm2711-rpi.dtsi
@@ -42,7 +42,7 @@
 
 &soc {
 	thermal: thermal@7d5d2200 {
-		compatible = "brcm,avs-tmon-bcm2838";
+		compatible = "brcm,avs-tmon-bcm2711";
 		reg = <0x7d5d2200 0x2c>;
 		interrupts = <GIC_SPI 137 IRQ_TYPE_LEVEL_HIGH>;
 		interrupt-names = "tmon";
@@ -106,7 +106,7 @@
 	};
 
 	dma40: dma@7e007b00 {
-		compatible = "brcm,bcm2838-dma";
+		compatible = "brcm,bcm2711-dma";
 		reg = <0x0 0x7e007b00 0x400>;
 		interrupts =
 			<GIC_SPI 89 IRQ_TYPE_LEVEL_HIGH>, /* dma4 11 */
@@ -122,7 +122,7 @@
 	};
 
 	vchiq: mailbox@7e00b840 {
-		compatible = "brcm,bcm2838-vchiq";
+		compatible = "brcm,bcm2711-vchiq";
 		reg = <0 0x7e00b840 0x3c>;
 		interrupts = <GIC_SPI 34 IRQ_TYPE_LEVEL_HIGH>;
 	};
@@ -195,7 +195,7 @@
 };
 
 &random {
-	compatible = "brcm,bcm2711-rng200", "brcm,bcm2838-rng200";
+	compatible = "brcm,bcm2711-rng200";
 	status = "okay";
 };
 
